QGIS Application - Bug report #7818
PostGIS warnings: Erroneous query: SELECT styleQML FROM layer_styles
2013-05-13 03:41 AM - Matthias Kuhn

Status: Closed

Priority: Normal

Assignee: Emilio Loi

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16703
Description

When adding a new postgis layer, | always get warnings in the message log saying

SELECT styleQML FROM layer_styles WHERE f_table_catalog=....
[ERROR: relation "layer_styles" does not exist]

| guess this is related to the possibility to save layer styles to the database.

Is this feature enabled by default? Are databases expected to contain a table "layer_styles"?

History

#1 - 2013-05-14 03:23 AM - Matthias Kuhn
- Status changed from Open to Closed

Seems to be fixed already.
Thank you jef.

commit:38d63d1ac

#2 - 2013-05-14 03:27 AM - Emiilio Loi

| guess this is related to the possibility to save layer styles to the database.

You are right, it was my fault. When you add a postgis layer my code controls for a layer style saved in the database in "layer_styles" table. | forget to add a
control on the table existence.

| was providing a patch, Il merge my repo getting Jef patch.

Emilio

#3 - 2017-03-19 04:04 AM - Christophe Damour

It seems that this error still occurs when adding a SpatiaL.ite layer.
